summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2015-11-06 15:31:59 -0500
committerJune McEnroe <june@causal.agency>2015-11-06 15:31:59 -0500
commit0a51754928512e342167521dd70ea180ed5b7886 (patch)
treec128071387786acc66da349da3870ef3afa9281c
parentUpdate vendored Gruvbox colorscheme (diff)
downloadsrc-0a51754928512e342167521dd70ea180ed5b7886.tar.gz
src-0a51754928512e342167521dd70ea180ed5b7886.zip
Add prune script
-rw-r--r--README.md15
-rwxr-xr-xprune.sh12
2 files changed, 26 insertions, 1 deletions
diff --git a/README.md b/README.md
index 8f33fcd0..27a1e92f 100644
--- a/README.md
+++ b/README.md
@@ -13,14 +13,27 @@ My configuration files.
 
 ## Install
 
+Create symlinks in ~ for files in the current directory.
+
 ```
 ./install.sh
 ```
 
 ## Import
 
+Import a file from ~ and replace it with a symlink.
+
+```
+./import.sh .config
+```
+
+## Prune
+
+Remove symbolic links in ~ to files that no longer exist in the current
+directory.
+
 ```
-./import .config
+./prune.sh
 ```
 
 ## License
diff --git a/prune.sh b/prune.sh
new file mode 100755
index 00000000..2480b7ba
--- /dev/null
+++ b/prune.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Remove symbolic links in ~ to files that no longer exist.
+
+set -e
+
+paths=$(find -L ~ -type l -lname "$PWD/*")
+
+for path in $paths; do
+  rm $path
+  echo $path
+done
for pbd client behaviourJune McEnroe 2021-02-08Add macOS-like copy and paste to xtermJune McEnroe 2021-02-08Only update clock script every minuteJune McEnroe 2021-02-08Use 4M- for window resizing in cwmJune McEnroe 2021-02-08Tweak trackpad scaling, mouse accelerationJune McEnroe This feels more comfortable. 2021-02-08Use xsel in up and add it do install.shJune McEnroe 2021-02-07Swap root window coloursJune McEnroe 2021-02-07Add -X flag to install X stuff on OpenBSDJune McEnroe 2021-02-07Adjust brightness by smaller incrementsJune McEnroe 2021-02-07Fix cwm window cycling, move big by defaultJune McEnroe 2021-02-07Use class names for Foreground, Background, BorderColorJune McEnroe I'm not really sure what difference this makes, but it seems like the right thing to do to be generic? 2021-02-07Add simple battery status and clock to xsessionJune McEnroe I love how simple this is. 2021-02-07Set cursor theme and sizeJune McEnroe 2021-02-07Use scrot for up -s if no screencaptureJune McEnroe Still missing putting the URL in an X selection. 2021-02-07Enable mouse acceleration in XJune McEnroe 2021-02-07Set colours for Xt and cwmJune McEnroe And increase XTerm internalBorder. 2021-02-07Set urgency on bell in xtermJune McEnroe 2021-02-07Add bindings for brightness controlJune McEnroe Weirdly the Fn key doesn't change how the F row registers... I wonder if I can do something about that. 2021-02-07Set X key repeat rateJune McEnroe 2021-02-07Bump font size to 12June McEnroe 11 is what I use on macOS, but I feel like my eyes are working harder here. 2021-02-07Fully configure and rebind cwmJune McEnroe This is sort of a mix of trying to emulate macOS somewhat for my muscle memory and just rebinding some of the cwm defaults to use 4- rather than M-. 2021-02-07Add BintiJune McEnroe 2021-02-07Finish configuring xtermJune McEnroe 2021-02-06Enable tapping, reverse scroll, set scaling in wsconsctlJune McEnroe 2021-02-06Set root window to black on purple snowJune McEnroe 2021-02-06Add xmodmap configurationJune McEnroe 2021-02-06Add initial OpenBSD X configurationJune McEnroe cwm still needs a lot more rebinding, and I need to actually look at its other options. xterm definitely still needs some configuration, but I at least managed to get it to use a decent looking font. Very happy that OpenBSD includes Luxi Mono, which is what my usual font, Go Mono, is based on anyway. Still missing is xmodmap and such. 2021-02-06Add xterm output to schemeJune McEnroe